%global npmname mkdirp
%global npminstdir /usr/lib/node_modules/%{npmname}
#%global deplist 

Summary: Recursively mkdir, like mkdir -p
Name: nodejs-%{npmname}
Version: 0.3.0
Release: 3%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/substack/node-mkdirp
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Provides: nodejs-%{npmname} = %{version}

%description
Like `mkdir -p`, but in node.js!

%prep
%setup -q -n package

%build

%install
# Setup and copy packages over
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{npminstdir}
cp -pr index.js package.json %{buildroot}/%{npminstdir}
cp -pr .gitignore %{buildroot}/%{npminstdir}/.npmignore

# Setup the dependancies

# Run the scripts (except test scripts)

# Setup Binaries

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{npminstdir}
%doc README.markdown examples LICENSE

%changelog
* Mon Apr 15 2013 Brenton Leanhardt <bleanhar@redhat.com> - 0.3.0-3
- Rebuild for OpenShift Enterprise

* Tue Feb 28 2012 Troy Dawson <tdawson@redhat.com> - 0.3.0-2
- Rewored spec file using tchor template

* Thu Feb 16 2012 Troy Dawson <tdawson@redhat.com> - 0.3.0-1
- Initial build

